Советы по исправлению ситуации, когда Kernel Perl использует устаревший пакет Pf_inet Sock_packet

За последние несколько дней некоторые из наших читателей сталкивались с известным сообщением об ошибке: Kernel perl устарел от pf_inet sock_packet. Эта проблема возникает по многим причинам. Теперь ознакомьтесь с обсуждением некоторых из них.

Почините свой компьютер прямо сейчас с помощью ASR Pro

  • Шаг 1. Загрузите ASR Pro
  • Шаг 2. Запустите программу
  • Шаг 3. Нажмите "Сканировать сейчас", чтобы найти и удалить все вирусы на вашем компьютере.
  • Загрузите это программное обеспечение сейчас, чтобы получить максимальную отдачу от вашего компьютера. г.

    описание Крис Сибенман 09:15:21 1999-04-03 UTC

    Некоторые/все способы использования RawHide tcpdump в ядре последней версии 2.2Купите именно это на* машине Rawhide (2.2.5-ac3, Rawhide 1.3.2).Сообщение в системном журнале ядра. Я статья, если она исходит изв отличие от раздражающей косметики (tcpdump хорош для моего рабочего стола).

    Некоторое время назад Jens Grigel прислал мне отличный скрипт оболочки, чтобы изменить send_arp. Я использовал свою собственную программную почтовую почту, но Дженс был намного проще. Так или иначе, Йенс
    заменил send_arp, а также установил другую штуку под названием get_hw_addr. Лично для меня это решило ряд проблем (в основном большое количество инструментов, которые содержит IP-адрес).

    <-- Совет по программному обеспечению -->
    При необходимости скопируйте приложение в /usr/lib/heartbeat (если оно у вас есть),
    в качестве замены для работы с send_arp и get_hw_addr с одинаковым владением и разрешения. какие исходные файлы.

    Чтобы обновить send_arp, вам нужен элемент “arping”, который является частью вашего
    текущего пакета “iputils”. ClusterТо, с чем у меня возникли проблемы, это Redhat-8
    Running и Heartbeat-1.0. Надеюсь, они работают и для 1.2.x.
    в последних дистрибутивах.

    #!/bin/bash
    /sbin/arping -q -A -l -I 1 $1 -s $2 $2

    #!/bin/bash
    ifconfig $1 | grep HWaddr | awk ‘напечатать $5’ | Зед s%:%%g

    —–Исходный адрес электронной почты—–
    От: [email protected]
    [mailto:linux-ha-bounces @lists.linux -ha .org] when От имени Horms
    Отправлено: среда, 7 июля 2004 г., 22:40
    Кому: Общий список рассылки Linux-HA
    Тема: Re: [Linux-HA] send_arp использует устаревшие ( PF_INET , SOCK_PACKET) A

    Почините свой компьютер прямо сейчас с помощью ASR Pro

    Вы устали от того, что ваш компьютер работает медленно? Раздражают разочаровывающие сообщения об ошибках? ASR Pro - это решение для вас! Рекомендуемый нами инструмент быстро диагностирует и устраняет проблемы с Windows, значительно повышая производительность системы. Так что не ждите больше, скачайте ASR Pro сегодня!

  • Шаг 1. Загрузите ASR Pro
  • Шаг 2. Запустите программу
  • Шаг 3. Нажмите "Сканировать сейчас", чтобы найти и удалить все вирусы на вашем компьютере.

  • Среда, 07 июля 2004 г., 23:20:18 +0200 [RCK] написал:

    > Привет всем
    >
    > У меня есть heartbeat_1.2.2 на стабильной версии Debian Woody с ядром
    2.4.26. Color=”#660066″>>
    > Я использовал программное обеспечение, предоставленное Horms здесь:
    > http://www.ultramonkey.org/download/heartbeat/1.2.2/ < br > >
    > Мне понадобились ini-файлы CVS 1.2.2:
    >
    http://cvs.linux-ha.org/viewcvs/viewcvs.cgi/linux-ha/doc/?only_with_tag= < br>STAB
    > LE_1_2_2
    >
    > ->
    >
    > Все работает нормально, кроме вируса ядра, который жалуется на
    с использованием

    color=”#660066″>> обычно /usr/lib/heartbeat/send_arp
    > Июль бесценный 10:46:32 ядро ​​cfrt-1: send_arp использует устаревшее
    > (PF_INET,SOCK_PACKET)
    >
    > Есть предложения? может быть, я на самом деле перекомпилировал beat…
    >
    > ReverseОбратите внимание, в котором, к сожалению, я также пытаюсь положительно использовать heartbeat_1.3.0, поэтому у меня есть та же самая проблема
    .
    > http://www.ultramonkey.org/download/heartbeat/1.3.0/

    Это подсказка send_arp с хорошим системным вызовом во всех устаревший способ.
    Я не беспокоюсь, но просто помните: а) я думаю, что это работает в настоящее время и
    б) я был бы очень удивлен, если бы проблема не заключалась в рекомендациях
    libnet.

    Если вы хотите решить свою проблему, попробуйте использовать libnet1.1 initial
    (libnet 1.0 есть в woody). Если у этого типа есть такая же болезнь,
    я бы порекомендовал libnet изучить мысль и представить исправление.

    perl-функции ядра с устаревшим pf_inet sock_packet

     использует дорогие (PF_INET,SOCK_PACKET)

    Предупреждение клиента пользовательского пространства.Если этот тип пространства устарел; что такое восстановление и аналогичная замена для всего этого задача?

    kernel perl использует устаревший пакет pf_inet sock_packet

    , заданный 30 мая, в 14:50 этого года.

    Загрузите это программное обеспечение сейчас, чтобы получить максимальную отдачу от вашего компьютера. г.

    Kernel Perl Uses Obsolete Pf Inet Sock Packet
    Perl Jadra Uzywa Przestarzalego Pf Inet Sock Packet
    Kernel Perl Usa Pf Inet Sock Packet Obsoleto
    Kernel Perl Usa Pf Inet Sock Packet Obsoleto
    Kernel Perl Verwendet Veraltetes Pf Inet Sock Packet
    Le Noyau Perl Utilise Pf Inet Sock Packet Obsolete
    Kernel Perl Anvander Foraldrade Pf Inet Sock Packet
    Kernel Perl Usa Obsoleto Pf Inet Sock Packet
    커널 펄은 더 이상 사용되지 않는 Pf Inet Sock Packet을 사용합니다
    Kernel Perl Gebruikt Verouderd Pf Inet Sock Packet

    г.